List transfers
curl --request GET \
--url https://api.daya.co/v1/transfers \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.daya.co/v1/transfers"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.daya.co/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "850e8400-e29b-41d4-a716-446655440000",
"reference": "txn_ngn_001",
"status": "PROCESSING",
"rail": "NGN_BANK",
"currency": "NGN",
"amount": "50000.00",
"debit_currency": "USD",
"debit_amount": "33.07",
"fee": "0.81",
"rate": {
"side": "SELL",
"value": "1550.00",
"captured_at": "2026-01-05T15:04:05Z"
},
"recipient": {
"id": "750e8400-e29b-41d4-a716-446655440000",
"type": "BANK_ACCOUNT",
"bank_account": {
"account_name": "John Doe",
"account_number_last4": "7890",
"bank_code": "044",
"bank_name": "Access Bank"
}
},
"on_behalf_of": null,
"created_at": "2026-01-05T15:04:05Z",
"settled_at": null
}
],
"page": 1,
"limit": 20,
"total": 1,
"total_pages": 1
}
Transfers
List transfers
List merchant-initiated transfers
GET
/
v1
/
transfers
List transfers
Overview
Lists all merchant-initiated transfers for the authenticated merchant with optional filtering and pagination.Authentication
Your merchant API key
Query Parameters
Number of results per page (default: 20, max: 100)
Page number (default: 1)
Filter by external statusAllowed values:
PROCESSING | SETTLED | FAILEDFilter by transfer currencyAllowed values:
NGN | USDRequest Example
curl --request GET \
--url 'https://api.daya.co/v1/transfers?limit=20&page=1&status=PROCESSING' \
--header 'X-Api-Key: YOUR_API_KEY'
Response
Array of transfer objects
Current page number
Results per page
Total number of transfers
Total number of pages
{
"data": [
{
"id": "850e8400-e29b-41d4-a716-446655440000",
"reference": "txn_ngn_001",
"status": "PROCESSING",
"rail": "NGN_BANK",
"currency": "NGN",
"amount": "50000.00",
"debit_currency": "USD",
"debit_amount": "33.07",
"fee": "0.81",
"rate": {
"side": "SELL",
"value": "1550.00",
"captured_at": "2026-01-05T15:04:05Z"
},
"recipient": {
"id": "750e8400-e29b-41d4-a716-446655440000",
"type": "BANK_ACCOUNT",
"bank_account": {
"account_name": "John Doe",
"account_number_last4": "7890",
"bank_code": "044",
"bank_name": "Access Bank"
}
},
"on_behalf_of": null,
"created_at": "2026-01-05T15:04:05Z",
"settled_at": null
}
],
"page": 1,
"limit": 20,
"total": 1,
"total_pages": 1
}
⌘I